MFITEXEC(1)

NAME
mFitExec - Re-project and mosaic your images, with background rectification

SYNOPSIS
mFitExec [-d] [-s statusfile] diffs.tbl fits.tbl diffdir

DESCRIPTION
Runs mFitplane on all the difference images identified by mOverlaps and generated by mDiff or mDiffExec. mFitExec creates a table of image-to-image difference parameters.

OPTIONS

-d  Turns on debugging

-s statusfile
    Writes output message to statusfile instead of to stdout

ARGUMENTS

diffs.tbl
    Overlap table generated by mOverlaps, the last column of which contains the filenames of the difference images generated by mDiffExec.

fits.tbl
    Output table of difference paramaters.

diffdir
    Directory containing difference images.

RESULT
Generates a table, fits.tbl, containing all the information generated by running mFitplane on each difference image. nimages is the number of images for which this calculation was successfully performed, nfaied is the number that generated an error condition for mFitplane, nwarning is the number that generated a warning, and nmissing is the number of files that could not be found in the specified diffdir.

MESSAGES

OK  [struct stat="OK", count=n, failed=nfailed, warning=nwarning, missing=nmissing]

ERROR
    Cannot open status file: statusfile

ERROR
    Can't open output file.

ERROR
    Invalid diffs metadata file: filename

ERROR
    Need columns: cntr1 cntr2 plus minus diff

ERROR
    svc library error

EXAMPLES

First, diffs.tbl is generated for a collection of reprojected images using mOverlap. Next, mDiffExec is run on those images to create output images in the subdirectory diffdir. At this point, we are ready to run mFitExec:

$ mFitExec diffs.tbl fits.tbl diff
    [struct stat="OK", count=42, failed=0, warning=0, missing=0]

Output file: fits.tbl.

BUGS
The drizzle algorithm has been implemented but has not been tested in this release.

If a header template contains carriage returns (i.e., created/modified on a Windows machine), the cfitsio library will be unable to read it properly, resulting in the error: [struct stat="ERROR", status=207, msg="illegal character in keyword"]

It is best for the background correction algorithms if the area described in the header template completely encloses all of the input images in their entirety. If parts of input images are "chopped off" by the header template, the background correction will be affected. We recommend you use an expanded header for the reprojection and background modeling steps, returning to the originally desired header size for the final coaddition. The default background matching assumes that there are no non-linear background variations in the individual images (and therefore in the overlap differences). If there is any uncertainty in this regard, it is safer to turn on the "level only" background matching (the "-l" flag in mBgModel.

COPYRIGHT
2001-2015 California Institute of Technology, Pasadena, California

If your research uses Montage, please include the following acknowledgement: "This research made use of Montage. It is funded by the National Science Foundation under Grant Number ACI-1440620, and was previously funded by the National Aeronautics and Space Administration's Earth Science Technology Office, Computation Technologies Project, under Cooperative Agreement Number NCC5-626 between NASA and the California Institute of Technology."

The Montage distribution includes an adaptation of the MOPEX algorithm developed at the Spitzer Science Center.